<template>
    <div class="fullwrap">
        <Header />
        <main class="main">
            <div class="container">
                <div class="page__title">
                    Добавить пользователя
                </div>
                <form @submit.prevent="sendForm()"
                    enctype="multipart/form-data" method="POST">
                    <div class="mb-4">
                        <label for="name" class="block text-gray-700 text-sm font-bold mb-2">Имя</label>
                        <input type="text" id="name" name="name" placeholder="" required v-model="user.name"
                            class="w-full px-3 py-2 border rounded-md focus:outline-none focus:border-blue-500">
                    </div>
                    <div class="mb-4">
                        <label for="name" class="block text-gray-700 text-sm font-bold mb-2">Почта</label>
                        <input type="text" id="email" name="email" placeholder="" required v-model="user.email"
                            class="w-full px-3 py-2 border rounded-md focus:outline-none focus:border-blue-500">
                    </div>
                    <div class="mb-4">
                        <label for="position" class="block text-gray-700 text-sm font-bold mb-2">Роль</label>
                        <select id="role_id" name="role_id" placeholder="" required v-model="user.role_id"
                            class="w-full px-3 py-2 border rounded-md focus:outline-none focus:border-blue-500">
                            <option :value="1" placeholder="">Менеджер</option>
                            <option :value="2">Инженер</option>
                            <option :value="3">Админ</option>
                        </select>
                    </div>
                    <div class="mb-4">
                        <label for="article" class="block text-gray-700 text-sm font-bold mb-2">Новый пароль</label>
                        <input type="text" id="new_password" name="new_password" placeholder="" v-model="user.new_password"
                            class="w-full px-3 py-2 border rounded-md focus:outline-none focus:border-blue-500">
                    </div>

                    <button type="submit"
                        class="bg-blue-500 text-white px-4 py-2 w-full font-bold rounded-md hover:bg-blue-600 focus:outline-none focus:shadow-outline-blue">
                        Сохранить
                    </button>
                </form>
            </div>
        </main>
    </div>
</template>
<script setup>
import Header from '@/Components/Header.vue';
import { router, useForm } from '@inertiajs/vue3';
const user = useForm({
    name: null,
    mail: null,
    role_id: 1,
    new_password: null,
});
const sendForm = () => {
    router.post(route('users.create', {
    }), user);
}
</script>
